%define upstream_name Net_URL2
%define xmldir	%{_var}/lib/pear
%define peardir	%(pear config-get php_dir 2> /dev/null)

Name:		php-pear-%{upstream_name}
Version:	2.2.3
Release:	%mkrel 1
Summary:	Class for parsing and handling URL
License:	BSD
Group:		Development/PHP
Source0:	https://pear.php.net/get/Net_URL2-%{version}.tgz
URL:		https://pear.php.net/package/Net_URL2
BuildRequires:	php-pear >= 1.4.7
Requires:		php-pear
Requires(postun):	php-pear

BuildArch:	noarch

%description
Provides parsing of URLs into their constituent parts (scheme, host, path
etc.), URL generation, and resolving of relative URLs.

%prep
%setup -c -T
pear -v -c pearrc \
	-d php_dir=%{peardir} \
	-d doc_dir=/docs \
	-d bin_dir=%{_bindir} \
	-d data_dir=%{peardir}/data \
	-d test_dir=%{peardir}/tests \
	-d ext_dir=%{_libdir} \
	-s

%build

%install
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}

# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock
rm -rf %{buildroot}%{peardir}/tests
mv %{buildroot}/docs .


# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Net_URL2.xml

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Net_URL2.xml

%postun
if [ "$1" -eq "0" ]; then
	pear uninstall --nodeps --ignore-errors --register-only pear.php.net/Net_URL2
fi

%files
%doc docs/Net_URL2/*
%{peardir}/*
%{xmldir}/Net_URL2.xml


%changelog
* Mon Mar 24 2025 mokraemer <mokraemer> 2.2.3-1.mga10
+ Revision: 2169495
- new version 2.2.3

* Sat Mar 15 2025 mokraemer <mokraemer> 2.2.2-1.mga10
+ Revision: 2164382
- new version 2.2.2

* Wed Aug 17 2022 mokraemer <mokraemer> 2.2.1-6.mga9
+ Revision: 1878327
- blacklist old PHPUnit

* Fri Jun 24 2022 papoteur <papoteur> 2.2.1-5.mga9
+ Revision: 1866016
- Mass Rebuild for dependencies

* Tue Mar 22 2022 umeabot <umeabot> 2.2.1-4.mga9
+ Revision: 1819179
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 2.2.1-3.mga8
+ Revision: 1507316
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 2.2.1-2.mga7
+ Revision: 1287854
- Mageia 7 Mass Rebuild

* Mon Dec 18 2017 mokraemer <mokraemer> 2.2.1-1.mga7
+ Revision: 1183275
- new version

* Sun Mar 13 2016 spuhler <spuhler> 2.2.0-1.mga6
+ Revision: 990341
- upgrade to vers. 2.2.0

* Tue Feb 09 2016 umeabot <umeabot> 2.1.0-2.mga6
+ Revision: 951019
- Mageia 6 Mass Rebuild

* Fri Dec 05 2014 spuhler <spuhler> 2.1.0-1.mga5
+ Revision: 801585
- upgrade to ver. 2.1.0
  * Fixed upstream #20385: Incorrect normalization of userinfo
  * Fixed upstream #20399: Setting userinfo to FALSE not transparent
  * Fixed #20420: Inconsistent setAuthority and getAuthority
  * Fixed #20423: URI with IPv6 or IPvFuture not parsed
  * Imp: Test for RFC 3986 Section 1.1.2 Examples
  * Fixed #20418: Incorrect normalization of URI with missing authority
  * Upd: Test for RFC 3986 Section 1.1.2 Examples
  * Upd: Travis CI - PHP 5.6 added
  * Imp: composer for pear
  * Fix: Documentation problem
  * New: OPTION_DROP_SEQUENCE

* Wed Oct 15 2014 umeabot <umeabot> 2.0.6-4.mga5
+ Revision: 740587
- Second Mageia 5 Mass Rebuild

* Wed Oct 01 2014 tv <tv> 2.0.6-3.mga5
+ Revision: 734112
- rebuild for pear deps

* Tue Sep 16 2014 umeabot <umeabot> 2.0.6-2.mga5
+ Revision: 687395
- Mageia 5 Mass Rebuild

* Sun Jul 06 2014 spuhler <spuhler> 2.0.6-1.mga5
+ Revision: 644033
- upgrade to ver. 2.0.6

* Fri Oct 18 2013 umeabot <umeabot> 2.0.0-3.mga4
+ Revision: 517099
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 2.0.0-2.mga3
+ Revision: 377054
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sat Jan 14 2012 spuhler <spuhler> 2.0.0-1.mga2
+ Revision: 196071
- imported package php-pear-Net_URL2

